# classes/phing/tasks/ext/ExportPropertiesTask.php

Saves currently defined properties into a specified file

author
  Andrei Serdeliuc
extends
  Task
package
  phing.tasks.ext
version
  $Id: ExportPropertiesTask.php 767 2010-04-14 12:09:18Z mrook $

## \ExportPropertiesTask
jump to top

Saves currently defined properties into a specified file

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Andrei Serdeliuc
copyright
  2001,2002 THYRELL. All rights reserved
extends
  Task
package
  phing.tasks.ext
version
  $Id: ExportPropertiesTask.php 767 2010-04-14 12:09:18Z mrook $

### Properties

`array $_disallowedPropertyPrefixes= 'array'`

Exclude properties starting with these prefixes

Default value `array` Details

Type
  array
access
  private

`array $_properties= 'null'`

Array of project properties

(default value: null)

Default value `null` Details

Type
  array
access
  private

`string $_targetFile= 'null'`

Target file for saved properties

(default value: null)

Default value `null` Details

Type
  string
access
  private

### Methods

`isDisallowedPropery( string $propertyName ) : bool`
Checks if a property name is disallowed
Parameters

Name | Type | Description
--- | --- | ---
$propertyName | string |

Returns

Type | Description
--- | ---
bool |

Details

access
  protected

`main( ) :`
`setDisallowedPropertyPrefixes( $prefixes ) : bool`
setter for _disallowedPropertyPrefixes
Parameters

Name | Type | Description
--- | --- | ---
$prefixes |  |

Returns

Type | Description
--- | ---
bool |

Details

access
  public

`setTargetFile( string $file ) : bool`
setter for _targetFile
Parameters

Name | Type | Description
--- | --- | ---
$file | string |

Returns

Type | Description
--- | ---
bool |

Details

access
  public

Documentation was generated by DocBlox 0.13.1.